-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local DiscreteEventInterface = require 'mdb.bmc.kepler.Systems.DiscreteEventInterface'

local childs = {}
local DiscreteEvent = {childs = childs}

local Mdb = require 'mc.mdb'

local TDiscreteEvent = Mdb.register_object(':parent/DiscreteEvents/:Id', {
    {name = 'DiscreteEvent', interface = DiscreteEventInterface.DiscreteEvent}
})
DiscreteEvent.DiscreteEvent = TDiscreteEvent

function TDiscreteEvent:ctor(parent, Id)
    self.path = '' .. parent .. '/DiscreteEvents/' .. Id .. ''
end

return DiscreteEvent
